Subject: Re: [PATCH 0/5] RESEND: git notes

From: [email-masked]
Date: Sat, 16 May 2009 17:06:55 +0200

Johan Herland venit, vidit, dixit 16.05.2009 03:45:
> Hi,
> 
> Dscho has asked me to take over the responsibility for the js/notes
> patch series.
> 
> The following is a re-roll and resend of the patch series currently
> in pu, plus my own 2 patches for adding support for "-m" and "-F" to
> "git notes edit".
> 
> On advice from Dscho, I have squashed the current bugfix and cleanup
> patches in js/notes into the first 4 "main" patches. As a result the
> original 15 + 2 patch series is now down to 5 (4 + 1) patches.
> 
> In sum, these 5 patches produce the exact same result as the original
> js/notes series (plus my 2 patches).
> 
> I have taken the liberty of squashing the various Signed-off-by tags
> (along with their corresponding patches) into these 5 new patches.
> I hope this is OK with everybody. If not, I apologize; please tell me,
> and I will re-send.

Well, effectively you removed me (and others) from the author list :|

I think the issue with the tree difference after this series (compared
to the original one) shows that this squashing action makes reviewers'
lives more complicated rather than easier. If it were the other way
round squashing would be fine, of course.

Michael

> 
> 
> Have fun! :)
> 
> ...Johan
> 
> 
> Johan Herland (1):
>   Teach "-m <msg>" and "-F <file>" to "git notes edit"
> 
> Johannes Schindelin (4):
>   Introduce commit notes
>   Add a script to edit/inspect notes
>   Speed up git notes lookup
>   Add an expensive test for git-notes
> 
>  .gitignore                       |    1 +
>  Documentation/config.txt         |   13 +++
>  Documentation/git-notes.txt      |   60 ++++++++++++++
>  Makefile                         |    3 +
>  cache.h                          |    4 +
>  command-list.txt                 |    1 +
>  commit.c                         |    1 +
>  config.c                         |    5 +
>  environment.c                    |    1 +
>  git-notes.sh                     |  121 ++++++++++++++++++++++++++++
>  notes.c                          |  160 ++++++++++++++++++++++++++++++++++++++
>  notes.h                          |    7 ++
>  pretty.c                         |    5 +
>  t/t3301-notes.sh                 |  149 +++++++++++++++++++++++++++++++++++
>  t/t3302-notes-index-expensive.sh |   98 +++++++++++++++++++++++
>  15 files changed, 629 insertions(+), 0 deletions(-)
>  create mode 100644 Documentation/git-notes.txt
>  create mode 100755 git-notes.sh
>  create mode 100644 notes.c
>  create mode 100644 notes.h
>  create mode 100755 t/t3301-notes.sh
>  create mode 100755 t/t3302-notes-index-expensive.sh
>